Package twisted :: Package mail :: Module pb :: Class Maildir

[frames | no frames]

## Class Maildir

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       Maildir

Method Summary
| `__init__(self, directory, rootDirectory)`
| `_isSubFolder(self, name)`
| `deleteCurMessage(self, name)`
| `deleteFolderMessage(self, folder, name)`
| `deleteNewMessage(self, name)`
| `getCurMessage(self, name)`
| `getCurMessages(self)`
| `getFolderMessage(self, folder, name)`
| `getNewMessage(self, name)`
| `getNewMessages(self)`
| `getSubFolder(self, name)`
| `remote_deleteCurMessage(self, name)`
| `remote_deleteNewMessage(self, name)`
| `remote_getCurMessage(self, name)`
| `remote_getCurMessages(self)`
| `remote_getNewMessage(self, name)`
| `remote_getNewMessages(self)`
| `remote_getSubFolder(self, name)`
Inherited from Referenceable
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
Inherited from Referenceable
`NoneType` | `perspective` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Generated by Epydoc 2.0 on Sat May 15 20:07:57 2004 | http://epydoc.sf.net